package cz.zcu.kiv.offscreen.servlets;

import java.io.IOException;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.log4j.Logger;

public class Logout extends HttpServlet{
	
    private Logger logger = Logger.getLogger(Logout.class);
    
    /**
     * Handles the HTTP
     * <code>GET</code> method.
     *
     * @param request servlet request
     * @param response servlet response
     * @throws ServletException if a servlet-specific error occurs
     * @throws IOException if an I/O error occurs
     */
    @Override
    protected void doGet(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        logger.trace("ENTRY");
        
        request.getSession().setAttribute("logged_user", null);
        request.getSession().setAttribute("logged_user_id", null);
        request.getSession().setAttribute("logged_user_nick", null);
        
        
        response.sendRedirect(getServletContext().getInitParameter("HOME_URL") + "UploadFiles");
        logger.trace("EXIT");
    }
}
