<%-- 
    Document   : index
    Created on : 19.2.2012, 10:27:13
    Author     : Cincila
--%>

<%@page import="cz.zcu.kiv.comav.loaders.osgi.service.RequiredService"%>
<%@page import="sun.reflect.ReflectionFactory.GetReflectionFactoryAction"%>
<%@page contentType="text/html" pageEncoding="UTF-8"%>
<!DOCTYPE html>
<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <link rel="stylesheet" type="text/css" href="styles/basic.css" media="screen" />
        <link rel="stylesheet" type="text/css" href="styles/tooltip.css" media="screen" />
        <link rel="stylesheet" type="text/css" href="styles/jquery.qtip.css" media="screen" />

        <link rel="stylesheet" type="text/css" href="styles/jquery.contextMenu.css" media="screen" />
        <script type="text/javascript" src="js/util.js"></script>
        <script type="text/javascript" src="js/spin.js"></script>
        <script type="text/javascript" src="js/mootools-core-1.4.1.js"></script>
        <script type="text/javascript" src="js/jquery-1.7.1.js"></script>
        <script type="text/javascript" src="js/graphManager.js"></script>
        <script type="text/javascript" src="js/hash.js"></script>
        <script type="text/javascript" src="js/mark.js"></script>
        <script type="text/javascript" src="js/markSymbol.js"></script>
         <script type="text/javascript" src="js/gridMark.js"></script>
        <script type="text/javascript" src="js/group.js"></script>
        <script type="text/javascript" src="js/groupManager.js"></script>
        <script type="text/javascript" src="js/offScreenKiv.js"></script>
        <script type="text/javascript" src="js/zoom.js"></script>
        <script type="text/javascript" src="js/main.js"></script>
        
        <script type="text/javascript" src="js/jquery.contextMenu.js"></script>
        <script type="text/javascript" src="js/jquery.qtip.js"></script>
        <script type="text/javascript" src="js/tooltips.js"></script>
        <script type="text/javascript" src="js/loader.js"></script>
        <script type="text/javascript" src="js/diagram.js"></script>
        <script type="text/javascript" src="js/user.js"></script>
        <title>Visualization of large component diagrams</title>

    </head>
    <body>
     <%
	    //String path = request.getContextPath();  
	 	String getProtocol=request.getScheme();
	 	String getDomain=request.getServerName();
	 	String getPort=Integer.toString(request.getServerPort());
	 	String getPath = getProtocol+"://"+getDomain+":"+getPort+"/";						  	
	 	String getURI=request.getRequestURI();   
	%>
	
    <script type="text/javascript">

    //When user changes window size then set height and width #viewport and #rightPanel
    $(window).bind('resize', function () { 
    	set_height();        
    	set_width();
    });
    
    $(document).ready(function() {
    	<% if (request.getParameter("diagram_hash") != null) { %>
    		loadGraphData(<%= request.getParameter("diagram_id") %>, '<%= request.getParameter("diagram_hash") %>');
    	<% }else { %>
    		loadGraphData(<%= request.getParameter("diagram_id") %>, null);    	
    	<% } %>

    	set_height();
    	set_width();   	
    });
     
    var HOME_URL = '<%=getPath%>VisualizationTool/';
    </script>
    
    <%  
    	boolean logged_user = false;
    	boolean diagram_id_hash_set = false;
    	if ( request.getSession().getAttribute("logged_user") == "1" ){  
    		logged_user = true;
    	}
    	
    	if (request.getParameter("diagram_id")!= null && request.getParameter("diagram_hash")!= null) {
    		diagram_id_hash_set = true;
    	}
    	
    	
        String diagram_url = "";
        boolean show_icon_save = false;
        if ( logged_user && diagram_id_hash_set ) {
        	diagram_url = "?diagram_id="+request.getParameter("diagram_id")+"&diagram_hash=" + request.getParameter("diagram_hash");
        	show_icon_save = true;
        }
        
        
    	
    %>
    
       
        <div id="loader"><div id="spinLoader"><p>Loading graph...</p></div></div>
        <div id="envelope">
            <header id="header">
                <img src="images/logo.png" alt="logo" title="ZČU"/>
                <h2 class="color-blue">Visualization of large component diagrams </h2>
				
				<jsp:include page="logged_user.jsp" />
				
				
            </header>
            <nav id="navigation">
                <ul id="navOfTech">
                    <li>
                        <button class="zoom" id="zoomOut" title="zoom-"><img src="images/zoom_out.png" alt="zoom-"/></button>
                        <span id="zoomValue">100%</span>
                        <button class="zoom" id="zoomIn" title="zoom+"><img src="images/zoom_in.png" alt="zoom+"/></button>
                    </li>
                    <li><hr class="navSeparator"/></li>
                    <li><input id="searchText" type="text" value="Search components..."/>
                        <button id="search" class="zoom"><img src="images/search.png" title="search" alt="search"/></button>
                        <span id="countOfFinded" title="Count of components found">0</span>
                    </li>
                    <li><hr class="navSeparator"/></li>
                    <li>
                        <form>
                            <input id="move" type="radio" name="actionMove" value="1" checked="checked"/><label for="move">move component<img class="image" src="images/move.png" alt="move"/></label> 
                            <input id="remove" type="radio" name="actionMove" value="2"/><label for="remove">exclude component<img class="image" src="images/remove2.png" alt="remove"/></label>
                        </form>
                    </li>
                    <li><hr class="navSeparator"/></li>
                    <li><button id="mostEdge" class="zoom" title="Exclude components with the most count of edges separately."><img src="images/excludeSeparately.png" alt="excludeSeparately"/></button></li>
                    <li><hr class="navSeparator"/></li>
                    <li><button id="vertexToGroup" class="zoom" title="Exclude components with the most count of edges to group."><img src="images/package.png" alt="Exclude components to group"/></button></li>
                    <li><hr class="navSeparator"/></li>
                    
                   
                    <li><a href="<%=getServletContext().getInitParameter("HOME_URL")%>UploadFiles<%= diagram_url %>" id="view_back_to_upload" class="backToUpload" title="Back to upload"></a></li>
                    
                     <li><hr class="navSeparator"></li>
            		<li>
         				<button id="applyLayout" class="zoom" title="Apply layout to current graph.">
         				<img id='applyLayoutImg' alt="Apply layout to current graph." src="images/layout_off.png">
						</button>
					</li>
                    
                   	<% if ( show_icon_save ) { %>
                   		<li><hr class="navSeparator"/></li>
                    	<li><a href="#" id="view_save_diagram" onClick="export_vertex_position(<%=request.getParameter("diagram_id")%>); return false;" title="Save diagram"></a></li>
                    	<li><hr class="navSeparator"/></li>
                    	<li><a href="<%=getServletContext().getInitParameter("HOME_URL")%>ShowGraph?diagram_id=<%=request.getParameter("diagram_id")%>&diagram_hash=<%=request.getParameter("diagram_hash")%>" id="view_refresh_diagram"  title="Refresh diagram"></a></li>
                    	<li><hr class="navSeparator"/></li>
                    	<li><a href="<%=getServletContext().getInitParameter("HOME_URL")%>ShowGraph?diagram_id=<%=request.getParameter("diagram_id")%>&diagram_hash=<%=request.getParameter("diagram_hash")%>" onclick="return reset_diagram(<%=request.getParameter("diagram_id")%>,'<%=request.getParameter("diagram_hash")%>');" id="view_refresh_reset_diagram"  title="Refresh diagram - reset position"></a></li>
                    <% } %>
                    
                    
                </ul>
            </nav>
            <div id="content" >
               
                <div id="viewport" contextmenu="contextMenu">
                    
                    <ul id="myMenu" class="contextMenu"></ul>

                </div>
                <img src="./images/zoom_help.png" id="zoom_help" />
                <div id="rightPanel">
                    <h5>Excluded components</h5>
                    <a href="#" class="sortComponents" id="sortComponents_name_asc" onclick="OffScreenKiv.sortByNameASC();return false;"><span class="sort_icon">▲</span> Name</a>
                    <a href="#" class="sortComponents" id="sortComponents_name_desc" onclick="OffScreenKiv.sortByNameDESC();return false;"><span class="sort_icon">▼</span> Name</a>
                    <a href="#" class="sortComponents" id="sortComponents_count_asc" onclick="OffScreenKiv.sortByCountComponentASC();return false;"><span class="sort_icon">▲</span> #component</a>
                    <a href="#" class="sortComponents" id="sortComponents_count_desc" onclick="OffScreenKiv.sortByCountComponentDESC();return false;"><span class="sort_icon">▼</span> #component</a>
                    
                    <a href="#" id="includeAllComponents" onclick="OffScreenKiv.includeAllComponents();return false;"><img src="images/button_cancel.png" title="Include all components to graph" /></a>
                    <hr class="verticalSeparator"/>
                </div>
                <br class="clean"/>
            </div>
        </div>
    </body>
</html>
