var opts = {
    lines: 17, // The number of lines to draw
    length: 21, // The length of each line
    width: 8, // The line thickness
    radius: 40, // The radius of the inner circle
    rotate: 0, // The rotation offset
    color: '#000', // #rgb or #rrggbb
    speed: 1.2, // Rounds per second
    trail: 58, // Afterglow percentage
    shadow: true, // Whether to render a shadow
    hwaccel: true, // Whether to use hardware acceleration
    className: 'spinner', // The CSS class to assign to the spinner
    zIndex: 2e9 // The z-index (defaults to 2000000000)
};

/**
 * Enables loader.
 */
function enableLoader(){
    var spinLoader = $('#spinLoader');
    $('#loader').css("display", "block");
    spinLoader.css("display", "block");
    spinLoader.spin(opts);
}

/**
 * Disables loader.
 */
function disableLoader(){
    var spinLoader = $('#spinLoader');
    $('#loader').css("display", "none");
    spinLoader.css("display", "none");
    spinLoader.spin(false);
}

