package cz.zcu.kiv.offscreen.servlets;

import java.io.IOException;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.http.Cookie;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.log4j.Logger;

import cz.zcu.kiv.offscreen.user.DB;
import cz.zcu.kiv.offscreen.user.User;

public class Login  extends HttpServlet {

    private Logger logger = Logger.getLogger(Login.class);
    
    /**
     * Handles the HTTP
     * <code>GET</code> method.
     *
     * @param request servlet request
     * @param response servlet response
     * @throws ServletException if a servlet-specific error occurs
     * @throws IOException if an I/O error occurs
     */
    @Override
    protected void doGet(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        logger.trace("ENTRY");
        RequestDispatcher rd = getServletContext().getRequestDispatcher("/uploadComponent.jsp");
        
        rd.forward(request, response);
        logger.trace("EXIT");
    }
    
    /**
     * Handles the HTTP
     * <code>POST</code> method.
     *
     * @param request servlet request
     * @param response servlet response
     * @throws ServletException if a servlet-specific error occurs
     * @throws IOException if an I/O error occurs
     */
    @Override
    protected void doPost(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        logger.trace("ENTRY");
        
        Cookie cookie = new Cookie("framework", request.getParameter("framework"));
        response.addCookie(cookie);
        
        //kontrola prihlaseni
        if ( true ) {
        	DB db_conn = new DB(getServletContext());
        	User logged_user_c = new User(db_conn);
        	
        	if ( logged_user_c.login(request.getParameter("login_name"),request.getParameter("password")) ) {
		    	
		    	request.getSession().setAttribute("logged_user", "1");
		    	request.getSession().setAttribute("logged_user_id", logged_user_c.getId() );
		    	request.getSession().setAttribute("logged_user_nick", logged_user_c.getNick());
        	}else{
        		request.getSession().setAttribute("logged_user", "0");
		    	request.getSession().setAttribute("logged_user_nick", "");        		
		    	request.getSession().setAttribute("logged_user_err", "1");
		    	request.getSession().setAttribute("logged_user_err_name", request.getParameter("login_name"));
        		
        	}
        	        	
        }
        
        
        //presmerovani na stranku s nahravanim komponent
        response.sendRedirect(getServletContext().getInitParameter("HOME_URL") + "UploadFiles");

        logger.trace("EXIT");
    }
	
}
