//if (typeof (console) === 'undefined') {
 //   var console = {}
 //   console.log = console.error = console.info = console.debug = console.warn = console.trace = console.dir = console.dirxml = console.group = console.groupEnd = console.time = console.timeEnd = console.assert = console.profile = function () { };
//}

//console.debug = function(){};

/**
 * Function set height of elements #content,#proposal,#rightPanel
 * 
 */    
function set_height(){
	var tmp_height = $(window).height() - 120;
    $('#content').css('height', tmp_height);
    $('#viewport').css('height', tmp_height + 10);
    $('#rightPanel').css('height', tmp_height);
	
}  
/**
 * Function set width of elements #content,#proposal,#rightPanel
 * 
 */    
function set_width(){
	var wind_width = $(window).width();
    $('#content').css('width', wind_width);
    $('#viewport').css('width', wind_width-300);
    $('#rightPanel').css('width', 290);
	
} 
    
/**
 * Convert radian to degrees.
 * parameters: radian - radian which will be converted
 */
function radianToDegrees(radian){
    console.debug("ENTRY util - radianToDegrees(radian)");
    console.debug("EXIT util - radianToDegrees(radian)");
    return radian*(180.0/Math.PI);
}

/**
 * Return position and direction of lollipop.
 * parameters: x1 - x coordinate of the first point
 *             y1 - y coordinate of the first point
 *             x2 - x coordinate of the second point
 *             y2 - y coordinate of the second point
 */
function getLollipopPosition(x1, y1, x2, y2){
    console.debug("ENTRY util - getLollipopPosition(x1, y1, x2, y2)");
    var lollipop = {};
    var vector1 = {};
    vector1.x = x2 - x1;
    vector1.y = y2 - y1;
    
    var lengthX = vector1.x*0.25;
    var lengthY = vector1.y*0.25;
    lollipop.x = (x1 + lengthX);
    lollipop.y = (y1 + lengthY);
    //    lollipop.x = (x1 + x2)/2;
    //    lollipop.y = (y1 + y2)/2;
        
    lollipop.angle = -radianToDegrees(Math.atan2(vector1.x, vector1.y))+90;
    console.debug("EXIT util - getLollipopPosition(x1, y1, x2, y2)");
    return lollipop;
}

/**
 * Return id, which is parsed from string.
 * parameters: idString - string which will be parsed
 *             indexFrom - index 
 */
function getIndexFromId(idStr,indexFrom){
    console.debug("ENTRY util - getIndexFromId(idStr,indexFrom)");
    console.debug("EXIT util - getIndexFromId(idStr,indexFrom)");
    return parseInt(idStr.substr(indexFrom));
}
 
function removeItem(array,myKey) {
    console.info("-----------START removeItem-----------------");
    var i = 0;
    for (var key in array){
        if(array.hasOwnProperty(key)){
            if(key == myKey){
                console.info(key +"->"+array[key] + " -> " + i);
                
                var del = array.slice(i, 1);
                return del;
            }
        }
        i++;
    }
}
    
/**
 * Create svg element.
 * parameters: tag - type of element (circle, rect, ...)
 *             attrs - attributes of element
 * Return svg element.
 */
function createSvgElement(tag, attrs) {
    console.debug("ENTRY util - createSvgElement(tag, attrs)");
    var el= document.createElementNS('http://www.w3.org/2000/svg', tag);
    for (var k in attrs){
        el.setAttribute(k, attrs[k]);
    }
    console.debug("ENTRY util - createSvgElement(tag, attrs)");
    return el;
}
    
/**
 * Compute size of rectangle on the basic count of chars.7
 * parameters: name - name
 * Return size of rectangle
 */
function getSizeOfRectangle(name){
    console.debug("ENTRY util - getSizeOfRectangle(name)");
    var sizeOfRectangle = name.length * 8 + 35;
    console.debug("EXIT util - getSizeOfRectangle()");
    return sizeOfRectangle;
}

/**
 * Cut two last character from string.
 * parameters: string - string which will be cutted.
 * Return cutted string.
 */
function cutTwoLastCharacters(string){
    console.debug("ENTRY util: cutTwoLastCharacters");
    console.debug("EXIT util: cutTwoLastCharacters");
    return string.substring(0,string.length-2);
}

/**
 * Parse string to int.
 * parameters: string - string which will be converted to int
 * Retunt int.
 */
function stringToInt(string){
    console.debug("ENTRY util: stringToInt");
    console.debug("EXIT util: stringToInt");
    return parseInt(string);
}

/**
 * Set size of svg element.
 * parameters: bbox - bounding box of svg element
 */
function setSizeSvg(bbox){
    console.debug("ENTRY util: setSizeSvg");
    $("#svg1").css('width', bbox.width);
    $("#svg1").css('height', bbox.height);
    console.debug("EXIT util: setSizeSvg");
}

/**
 * Set position of svg element with id #graph.
 */
function setPositionSvg(x, y){
    $("#graph").attr('transform', 'translate('+ (-x) + ", " + (-y) + ')');
}

function moveElementTopSVG(id_parent_element, id_element_to_move){
	var graph_elmnt = document.getElementById(id_parent_element);
	var item = document.getElementById(id_element_to_move);   
	graph_elmnt.removeChild(item);
	graph_elmnt.appendChild(item);	
}

var TimeBarrier = {
    lastTime: 0,
    CONST_WAITING_TIME: 50,
    
    wait: function(){
        var currentTime = new Date().getTime();
        
        if ((currentTime - this.lastTime) > this.CONST_WAITING_TIME){
            this.lastTime = new Date().getTime();
            return false;
        }
        return true;
    }
};


